
Redmine - Feature #8876

Activity commits improvement - display branch

2011-07-21 22:45 - Matěj Týč

Status: New Start date: 2011-07-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hi all,

an activity message when somebody commits to the project's repository looks like this:

19:04 Myproject Revision 505:ea8b0f632816: done something

John Doe

(I use Mercurial, but I think that this may apply to other SCMs, too)

This is fine, of course, but one thing would be really great - mentioning the branch number somewhere, so it could look like

19:04 Myproject Branch 1.2lala, Revision 505:ea8b0f632816: done something

John Doe

If one works on a project with multiple branches that are developed simultaiously in the long term, the activity ouptut is not as

informative as it could be and this would help a lot.

I believe that this could be easy enough to fix, so if nobody else feels like writing a patch, I would appreciate sone hints like what

should be taken care of in order to make this working.

The reason I am asking for help is that I don't know Ruby very much neither I know the Redmine project.

Related issues:

Related to Redmine - Feature #5386: Branch/Tags in Changeset Description New 2010-04-27

Related to Redmine - Feature #3909: Mercurial: show repository graphic history Closed 2009-09-23

History

#1 - 2011-07-21 23:11 - Toshi MARUYAMA

- Category changed from SCM extra to SCM
